version: "3.9"
services:
  database:
    image: postgres:14-alpine
    environment:
      POSTGRES_USER: ${DATABASE_USER}
      POSTGRES_PASSWORD: ${DATABASE_PASSWORD}
      POSTGRES_DB: ${DATABASE_NAME}
    ports:
      - 127.0.0.1:${EXPOSED_DATABASE_PORT:-8888}:${DATABASE_PORT:-5432}
    volumes:
      - pg-data:/var/lib/postgresql/data

volumes:
  pg-data:
